Skip to main content
milestones

Update a milestone

Partial update: send only the fields to change.

PATCH
/milestones/{id}
Authorizationstringheaderrequired

An API key: vzk_live_...

idstringrequired

Body

application/json
budgetnumber | null
Required range: 0 <= x
colorstring | null
Maximum string length: 32
completion_datestring | null
costsnumber | null
Required range: 0 <= x
dependenciesobject[]
Maximum array length: 50
descriptionstring | null
Maximum string length: 20000
due_datestring | null
external_refstring | null
Maximum string length: 200
incomenumber | null
Required range: 0 <= x
order_indexinteger | null
Required range: 0 <= x
phasestring | null
Maximum string length: 100
progressinteger | null
Required range: 0 <= x <= 100
project_codestring | null
Maximum string length: 64
Pattern: ^[A-Za-z0-9 _-]{1,64}$
start_datestring | null
statusenum<string> | null
Available options: pending, in_progress, completed, on_hold, cancelled
team_member_idsstring[]
Maximum array length: 200
titlestring | null
Maximum string length: 200

Response

application/json

Updated

dataobject